### Constructor

# Soup Message new_options_ping

#### Declaration [src]

    SoupMessage*
    soup_message_new_options_ping (
      GUri* base_uri
    )

#### Description [src]

Creates a new `SoupMessage` to send `OPTIONS *` to a server. The path of `base_uri` will be ignored.

#### Parameters

`base_uri`

  Type: `GUri`

  The destination endpoint.

  The data is owned by the caller of the function.

#### Return value

Type: `SoupMessage`

The new `SoupMessage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.